/** Shopify CDN: Minification failed

Line 485:28 The "-" operator only works if there is whitespace on both sides

**/
.predictive-search {
  display: none;
  position: absolute;
  width: calc(100vw - 20px);
  top: calc(100% + 0.1rem);
  left: -0.1rem;
  border-width: var(--popup-border-width);
  border-style: solid;
  border-color: rgba(var(--color-foreground), var(--popup-border-opacity));
  background-color: rgb(var(--color-background));
  z-index: 3;
  border-bottom-right-radius: var(--popup-corner-radius);
  border-bottom-left-radius: var(--popup-corner-radius);
  box-shadow: var(--popup-shadow-horizontal-offset) var(--popup-shadow-vertical-offset) var(--popup-shadow-blur-radius)
    rgba(var(--color-shadow), var(--popup-shadow-opacity));
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
}

.predictive-search-loader-overlay {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.7);
  z-index: 9999;
  display: flex;
  align-items: center;
  justify-content: center;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.3s ease-in-out, visibility 0.3s ease-in-out;
  pointer-events: none;
}

.predictive-search-loader-overlay.show {
  opacity: 1;
  visibility: visible;
  pointer-events: all;
}

.predictive-search.search-loading {
  overflow: hidden !important;
}

.predictive-search-loader-overlay .loader {
  color: #000;
}

.no-results-search {
  text-align: center;
  color: var(--black);
}

.predictive-search--search-template {
  z-index: 2;
}

.predictive-search__results-groups-wrapper {
  display: flex;
  flex-direction: column;
  border-bottom: 0.1rem solid rgba(var(--color-foreground), 0.08);
}

.header predictive-search,
.header-navigation predictive-search {
  max-width: unset;
  width: 100%;
  height: 100%;
}

.predictive-search .featured-card-product .product-form__submit {
  min-width: 160px;
  border-radius: 1000px;
}

@media screen and (max-width: 749px) {
  .predictive-search--header {
    right: 0;
    left: 0;
    top: 100%;
  }

  .predictive-search__results-groups-wrapper {
    flex-direction: column;
  }

  .predictive-search__results-groups-wrapper:not(.predictive-search__results-groups-wrapper--no-suggestions) {
    /* On mobile, when there are no suggestions the first .predictive-search__results-groups-wrapper
     * is virtually empty due to a display: hidden on the predictive-search__pages-wrapper child.
     * This causes the gap to render and look like a big top margin */
    gap: 2rem;
  }

  .predictive-search .featured-card-product .product-form__submit,
  .predictive-search .featured-card-product .notify-me-btn,
  .predictive-search .featured-card-product .out-of-stock-btn,
  .predictive-search .featured-card-product .login-to-shop-btn,
  .predictive-search .featured-card-product .select-shades-btn  {
    min-width: unset;
    width: 100%;
  }

  .predictive-search .featured-card-product .login-to-shop-btn,
  .predictive-search .featured-card-product .select-shades-btn  {
    text-align: center;
  }
}

@media screen and (min-width: 750px) {
  .predictive-search {
    border-top: none;
  }

  .header predictive-search,
  .header-navigation predictive-search {
    position: relative;
  }
}

predictive-search[open] .predictive-search,
predictive-search[loading] .predictive-search {
  left: -30px;
  top: 68px;
  display: block;
  height: 85vh;
  padding: var(--d-sp-lg);
  border-radius: var(--d-br-md);
  background-color: var(--white);
  overflow-y: scroll;
  z-index: 1000;
}


predictive-search[open] .predictive-search,
predictive-search[loading] .predictive-search {
  scrollbar-color: rgba(0, 0, 0, 0.4) transparent;
}

.search-modal__clear-button {
  padding: 0 var(--d-sp-md) 0 var(--d-sp-sm);
  color: var(--token-foreground-secondary);
  text-decoration: none;
}

.search-modal__content .search-modal__close-button {
  margin-left: 0;
}

.predictive-search__result-group {
  display: flex;
  flex-direction: column;
  flex: 1 1 auto;
  gap: 2rem;
}

.predictive-search__result-group:first-child .predictive-search__pages-wrapper {
  display: none;
}

@media screen and (max-width: 770px) {
  predictive-search[open] .predictive-search,
  predictive-search[loading] .predictive-search {
    padding: var(--d-sp-md);
  }
}

@media screen and (min-width: 750px) {
  .predictive-search__results-groups-wrapper--no-products .predictive-search__result-group:nth-child(2),
  .predictive-search__result-group:last-child .predictive-search__pages-wrapper {
    display: none;
  }
  .predictive-search__result-group:first-child .predictive-search__pages-wrapper {
    display: initial;
  }
  .predictive-search__result-group:first-child {
    flex: 0 0 26.4rem;
  }
  .predictive-search__results-groups-wrapper--no-products .predictive-search__result-group:first-child,
  .predictive-search__result-group:only-child {
    flex-grow: 1;
  }
}

.predictive-search__heading {
  border-bottom: 0.1rem solid rgba(var(--color-foreground), 0.08);
  margin: 0 2rem;
  padding: 1.5rem 0 0.75rem;
  color: rgba(var(--color-foreground), 0.7);
}

predictive-search .spinner {
  width: 1.5rem;
  height: 1.5rem;
  line-height: 0;
}

predictive-search:not([loading]) .predictive-search__loading-state,
predictive-search:not([loading]) .predictive-search-status__loading {
  display: none;
}

predictive-search[loading] .predictive-search__loading-state {
  display: flex;
  justify-content: center;
  padding: 1rem;
}

predictive-search[loading] .predictive-search__search-for-button {
  display: none;
}

predictive-search[loading] .predictive-search__results-groups-wrapper ~ .predictive-search__loading-state {
  display: none;
}

predictive-search[loading] .predictive-search__results-groups-wrapper ~ .predictive-search__search-for-button {
  display: initial;
}

.predictive-search__list-item[aria-selected="true"] > *,
.predictive-search__list-item:hover > *,
.predictive-search__item[aria-selected="true"] {
  color: rgb(var(--color-foreground));
  background-color: rgba(var(--color-foreground), 0.04);
}

.predictive-search__list-item[aria-selected="true"] .predictive-search__item-heading,
.predictive-search__list-item:hover .predictive-search__item-heading {
  text-decoration: underline;
  text-underline-offset: 0.3rem;
}

.predictive-search__item {
  display: flex;
  padding: 1rem 2rem;
  text-align: left;
  text-decoration: none;
  width: 100%;
}

.predictive-search__item--link-with-thumbnail {
  display: grid;
  grid-template-columns: 5rem 1fr;
  grid-column-gap: 2rem;
  grid-template-areas: "product-image product-content";
}

.predictive-search__item-content {
  grid-area: product-content;
  display: flex;
  flex-direction: column;
}

.predictive-search__item-content--centered {
  justify-content: center;
}

.predictive-search__item-vendor {
  font-size: 0.9rem;
}

.predictive-search__item-heading {
  margin: 0;
}

.predictive-search__item-query-result *:not(mark) {
  font-weight: bolder;
}

.predictive-search__item-query-result mark {
  color: rgba(var(--color-foreground), 0.75);
}

.predictive-search__item-query-result mark {
  background-color: transparent;
}

.predictive-search__item .price {
  color: rgba(var(--color-foreground), 0.7);
  font-size: 1.2rem;
}

.predictive-search__item-vendor + .predictive-search__item-heading,
.predictive-search .price {
  margin-top: 0.5rem;
}

.predictive-search__item--term {
  min-width: unset;
  width: 160px;
  align-items: center;
  padding: 1.3rem 2rem;
  word-break: break-all;
  line-height: calc(1 + 0.4 / var(--font-body-scale));
  border-radius: 1000px;
}

.see-all-results-button {
  padding: 0;
}

@media screen and (min-width: 750px) {
  .predictive-search__item--term {
    padding-top: 1rem;
    padding-bottom: 1rem;
  }
}

.predictive-search__item--term .icon-arrow {
  width: calc(var(--font-heading-scale) * 1.4rem);
  height: calc(var(--font-heading-scale) * 1.4rem);
  flex-shrink: 0;
  margin-left: calc(var(--font-heading-scale) * 2rem);
  color: rgb(var(--color-link));
}

predictive-search ::selection {
  background-color: blue;
  color: var(--white);
}

.predictive-search__image {
  grid-area: product-image;
  object-fit: contain;
  font-family: "object-fit: contain";
}

.default-search-collection {
  display: flex;
  flex-wrap: wrap;
  gap: var(--m-sp-2xs);
}

.default-search-result .collections {
  margin-bottom: var(--d-sp-sm);
}

.default-search-result .collections a {
  display: inline-flex;
  height: 44px;
  padding: 0 var(--m-sp-sm);
  align-items: center;
  border: 1px solid var(--token-foreground-border-primary);
  border-radius: 4px;
  color: #000;
  text-decoration: none;
  line-height: 19.6px;
}

.default-search-result .collections h5 {
  margin: 0 0 var(--d-sp-xs);
  color: var(--black);
  text-transform: uppercase;
}

.predictive-search--header .feature-card_product-title {
  color: var(--black);
  text-transform: uppercase;
}

@media screen and (max-width: 990px) {
  .predictive-search--header .feature-card_product-title {
    margin: var(--m-sp-2xs) 0 0;
  }
}
.predictive-search--header .price:not(.price--show-badge) .price-item--last:last-of-type,
.predictive-search--header .price {
  color: var(--black);
}

.predictive-search--header .price--on-sale .price-item--regular {
  color: rgba(18, 18, 18, 0.75);
}

.predictive-search-results-products-list,
.predictive-search__results-list {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fit, 315px);
  justify-content: left;
}

@media (max-width: 749px) {
  .predictive-search-results-products-list,
  .predictive-search__results-list {
    grid-template-columns: repeat(2, minmax(0, 1fr));
    justify-content: stretch;
  }
}

@media (max-width: 1440px) {
  .hide-product-on-small {
    display: none !important;
  }
}

.predictive-search__search-for-button {
  display: flex;
  justify-content: center;
  margin-top: var(--d-sp-lg);
}

.predictive-search.predictive-search--header,
.predictive-search.predictive-search--search-template {
  display: none;
}

.predictive-search.predictive-search--header .swatch-input__input:active + .swatch-input__label,
.predictive-search.predictive-search--header .swatch-input__input:checked + .swatch-input__label {
  outline: 0.1rem solid var(--primary-background);
}

.predictive-search.predictive-search--header product-info {
  display: flex;
  height: 100%;
}

.predictive-search.predictive-search--header .product__info-container {
  padding: 0;
}

.search-modal.modal__content .modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.7);
  z-index: 4;
}

.predictive-search .product-swatch.selected-swatch {
  width: 32px;
  min-width: 32px;
  height: 32px;
  margin: 1px 0px 0px;
}

.predictive-search .product-form__submit[aria-disabled="true"],
.predictive-search .product-form__submit:disabled {
  opacity: 1;
  background-color: var(--primary-background);
  border: 2px solid var(--primary-background);
  color: var(--primary-foreground);
}

.predictive-search .featured-card-product .primary_image {
  border-radius: var(--d-br-md);
  object-fit: cover;
}

.predictive-search .product_card_price {
  margin: var(--d-sp-2xs) 0 var(--d-sp-sm);
}

@media screen and (max-width: 1200px) {
  predictive-search[open] .predictive-search,
  predictive-search[loading] .predictive-search {
    top: 59px;
  }

  .predictive-search .product_card_price {
    margin: 0 0 var(--d-sp-sm);
  }
}

@media screen and (max-width: 750px) {
  .search-modal__content .search-modal__close-button {
    right: var(--m-sp-md);
  }

  predictive-search[open] .predictive-search,
  predictive-search[loading] .predictive-search {
    left: 0;
    width: 100% !important;
    height: auto;
    min-height: 200px;
    max-height: calc(100dvh -120px);
    padding: var(--m-sp-lg);
  }

  .search-modal__content {
    padding: 0 var(--m-sp-md) !important;
  }

  .default-search-result .collections {
    margin-bottom: var(--m-sp-lg);
  }

  .search-modal__clear-button {
    position: absolute;
    right: 40px;
  }

  predictive-search .featured-card-product {
    width: 100%;
  }

  .predictive-search .product-swatch.selected-swatch {
    margin: 2px;
  }
}

@media screen and (min-width: 750px) and (max-width: 1024px) {
  .predictive-search__list-item {
    min-width: 315px;
  }
}

@media screen and (min-width: 1200px) {
  predictive-search[open] .predictive-search {
    width: calc(100% + 75px);
    left: -28px;
    top: 69px;
  }

  predictive-search[results] .predictive-search,
  predictive-search[loading] .predictive-search {
    width: calc(100% + 154px);
  }
}
